complexType "Notional"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | notionalStepSchedule?, notionalStepParameters?
</...>

Content Model Elements (2):

  notionalStepParameters, notionalStepSchedule

All Direct / Indirect Based Elements (1):

  notionalSchedule

Known Usage Locations

- As direct type of elements (1):
  notionalSchedule

Annotation
An type defining the notional amount or notional amount schedule associated with a swap stream. The notional schedule will be captured explicitly, specifying the dates that the notional changes and the outstanding notional amount that applies from that date. A parametric representation of the rules defining the notional step schedule can optionally be included.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Notional"> <xsd:sequence> <xsd:element minOccurs="0" name="notionalStepSchedule" type="NonNegativeAmountSchedule"/> <xsd:element minOccurs="0" name="notionalStepParameters" type="NotionalStepRule"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
notionalStepParameters

  Type: | NotionalStepRule, complex content

  For use with pre-trade Credit Limit Check messages. A parametric representation of the notional step schedule, i.e. parameters used to generate the notional schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalStepParameters" type="NotionalStepRule"/>

notionalStepSchedule

  Type: | NonNegativeAmountSchedule, complex content

  The notional amount or notional amount schedule expressed as explicit outstanding notional amounts and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalStepSchedule" type="NonNegativeAmountSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.